# 异步通知

### 请求方式&#x20;

**请注意此处的参数未来可能会增加，请您不要根据固定参数名验签。应根据响应动态生成加签参数**

<mark style="color:red;">注意：同样的通知可能会多次发送给机构系统。机构系统必须能够正确处理重复的通知</mark>

POST application/x-www-form-urlencoded

<table><thead><tr><th>参数</th><th width="249.33333333333331">描述</th><th>示例</th><th data-type="checkbox">必要</th></tr></thead><tbody><tr><td>version</td><td>max=5 交易异步通知报文版本，固定为：1.0</td><td>1.0</td><td>true</td></tr><tr><td>merchantNo</td><td>max=16 商户编号，由USEEPAY 分配</td><td></td><td>true</td></tr><tr><td>transactionId</td><td>max=64 商户订单号</td><td></td><td>true</td></tr><tr><td>originalTransactionId</td><td>max=64 原始商户订单号</td><td></td><td>false</td></tr><tr><td>reference</td><td>max=32 USEEPAY 订单号</td><td></td><td>false</td></tr><tr><td>transactionType</td><td>max=64 交易类型： pay；authorization; refund; capture;authorizationVoid;</td><td></td><td>true</td></tr><tr><td>amount</td><td>max=12 交易金额，单位为对应币种的最小货币单位(详见 ISO 4217)</td><td></td><td>false</td></tr><tr><td>currency</td><td>max=3 3 位 ISO 大写字母货币代码((详见 ISO 4217)</td><td></td><td>false</td></tr><tr><td>resultCode</td><td>max=32 业务结果（详见 业务结果码）</td><td></td><td>true</td></tr><tr><td>errorCode</td><td>max=4 错误码（详见 错误码 errorCode）</td><td></td><td>false</td></tr><tr><td>errorMsg</td><td>max=256 错误码消息描述</td><td></td><td>false</td></tr><tr><td>echoParam</td><td>max=256 回声参数，响应报文会原样返回</td><td></td><td>false</td></tr><tr><td>reserved</td><td>max=256 预留字段，值同请求报文</td><td></td><td>false</td></tr><tr><td>signType</td><td>MD5/RSA</td><td></td><td>true</td></tr><tr><td>sign</td><td>max=256 商户请求参数的签名串</td><td></td><td>true</td></tr><tr><td>issuerResponse</td><td>发卡行返回的新 Json String的格式</td><td>{"issuerResponseMsg":"Not sufficient funds","issuerResponseCode":"51"}</td><td>false</td></tr></tbody></table>

### 返回示例

```
amount=1234&resultCode=closed&sign=5cb57302e93b8b2342e7f587437f0855&errorCode=3300&version=1.0&transactionId=202110140304347&errorMsg=Transaction is expired&reference=1012110141504650869&transactionType=pay&echoParam=echoParam&reserved=reserved&signType=MD5&currency=USD&merchantNo=500000000007381
```

被请求方返回 httpstatus **200**表示接收通知成功，否则useepay会重新发送通知

通知频率 1m,3m,5m,10m,15m,15m,30m,1h


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://useepay.gitbook.io/developer/reference/notify/notifyurl.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
